package com.aucma.report.service;

import com.aucma.report.domain.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * PDA管理Service接口
 *
 * @author Yinq
 * @date 2023-11-21
 */
public interface IProductionReportService
{

    /**
     * 查询清单率报表
     */
    List<InventoryRateReport> inventoryRateReportList(Map hashMap);


    /**
     * 查询生产执行报表
     * @param hashMap
     * @return
     */
    List<ProductionExecutionReport> productionExecutionReportList(Map hashMap);


    /**
     * 查询在制品查询报表
     * @param hashMap
     * @return
     */
    List<WIPInquiryReport> WIPInquiryReportList(Map hashMap);

    /**
     * 扫描下线记录报表
     * @param hashMap
     * @return
     */
    List<HashMap<String, Object>> ScanOfflineRecordReportList(Map hashMap);

    /**
     * 发泡箱体追溯报表
     * @param hashMap
     * @return
     */
    List<BoxTraceabilityReport> boxTraceabilityReport(Map hashMap);

    /**
     * 发泡箱体追溯详情报表
     * @param hashMap
     * @return
     */
    List<BoxTraceabilityDetailReport> boxTraceabilityDetailReport(Map hashMap);

    /**
     * 箱体流转追溯报表
     * @param hashMap
     * @return
     */
    List<BoxTurnoverTraceabilityReport> boxTurnoverTraceabilityReportList(Map hashMap);

    /**
     * 箱体流转追溯详情报表
     * @param hashMap
     * @return
     */
    List<BoxTurnoverTraceabilityDetailReport> boxTurnoverTraceabilityDetailReportList(Map hashMap);

    /**
     * 查询在制品查询明细
     * @param hashMap
     * @return
     */
    List<WIPInquiryDetailReport> WIPInquiryDetailReportList(Map hashMap);
    /**
     * 查询壳胆绑定报表
     * */
    List<codeBanding> codeBandingReportList(Map hashMap);
    /**
     * 查询过点数报表
     * */
    List<MaterialReport> materialReportList(Map hashMap);
}
